Bug 1017653 - engine-upgrade-check should be re-branded as rhsc-upgrade-check
engine-upgrade-check should be re-branded as rhsc-upgrade-check
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: RHGS 2.1.2
Assigned To: Bala.FA
Prasanth
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 05:55 EDT by Prasanth
Modified: 2015-05-15 14:15 EDT (History)
7 users (show)

See Also:
Fixed In Version: rhsc-2.1.2-0.23.master.el6_5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-25 02:51:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The fix is attached (1.27 KB, patch)
2013-11-07 06:38 EST, Bala.FA
no flags Details | Diff
actual patch commited (1.25 KB, patch)
2013-11-12 03:40 EST, Bala.FA
no flags Details | Diff

  None (edit)
Description Prasanth 2013-10-10 05:55:22 EDT
Description of problem:

1. engine-upgrade-check should be re-branded as rhsc-upgrade-check
2. rhsc-check-update should be removed as it is obsoleted by rhsc-upgrade-check

Version-Release number of selected component (if applicable): rhsc-2.1.1-0.0.3.master.el6ev.noarch


How reproducible: Always


Steps to Reproduce:
1. Run rhsc-upgrade and see the output
2. Run rhsc-check-update and see the output


Actual results:

[root@vm09 ]# rhsc-upgrade 
rhsc-upgrade is obsoleted by engine-setup.
please run engine-setup for upgrading product or update settings.


[root@vm09 ]# rhsc-check-update 
rhsc-check-update is obsoleted by engine-upgrade-check.
please run engine-upgrade-check for upgrading product or update settings.



Expected results:

[root@vm09 ]# rhsc-upgrade 
rhsc-upgrade is obsoleted by rhsc-setup.
please run rhsc-setup for upgrading product or update settings.


If rhsc-check-update is NOT going to be removed, it should show:

[root@vm09 ]# rhsc-check-update 
rhsc-check-update is obsoleted by rhsc-upgrade-check.
please run rhsc-upgrade-check for upgrading product or update settings.


Additional info:
Comment 1 Bala.FA 2013-10-21 04:41:03 EDT
engine-upgrade-check and rhsc-check-update are removed and patch is submitted.
Comment 2 Prasanth 2013-10-28 07:22:28 EDT
1. engine-upgrade-check should be re-branded as rhsc-upgrade-check - FAIL

This wasn't re-branded but instead removed in the latest build altogether. It actually helps the user in identifying of any possible upgrades in an existing setup before running a "rhsc-setup" and hence should be present in the engine. 

Hence, moving back to Assigned.


2. rhsc-check-update should be removed as it is obsoleted by rhsc-upgrade-check - PASS
Comment 3 Bala.FA 2013-11-07 06:33:07 EST
Fix is sent for review
Comment 4 Bala.FA 2013-11-07 06:38:36 EST
Created attachment 821034 [details]
The fix is attached
Comment 5 Bala.FA 2013-11-12 03:40:43 EST
Created attachment 822783 [details]
actual patch commited
Comment 6 Prasanth 2013-11-12 04:09:51 EST
Verified in rhsc-2.1.2-0.23.master.el6_5.noarch

engine-upgrade-check is now re-branded as rhsc-upgrade-check

--------------
[root@vm08 /]# rhsc-upgrade-check
VERB: queue package rhsc-setup for update
VERB: package rhsc-setup queued
VERB: Building transaction
VERB: Empty transaction
VERB: Transaction Summary:
No upgrade
--------------
Comment 9 errata-xmlrpc 2014-02-25 02:51:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0208.html

Note You need to log in before you can comment on or make changes to this bug.